

<div class="content" *ngIf="servidor$ | async as servidor">

    
    <div class="page-title" fxLayout="row">
        <mat-icon class="material-icons md-24">group_add </mat-icon>
        <h2>Detalhes do Servidor</h2>
    </div>
    <mat-divider class="divider"></mat-divider>

    
    <mat-card class="ribbon-box bg-danger" >
         <div class="ribbon ribbon-primary float-start"><h3 class="text-ribbon">IDENTIFICAÇÃO</h3></div>
         <div class="ribbon-content">
            <form [formGroup]="form" class="example-form"  fxFlex="75" fxLayout="row wrap"  fxLayoutGap="5px grid">           
                
                
                <mat-form-field appearance="outline" fxFlex="25" >
                    <mat-label>Matrícula</mat-label>
                    <input matInput placeholder="Ex: 202231255488" formControlName="matricula">
                </mat-form-field>
                <mat-form-field appearance="outline" fxFlex="25" >
                    <mat-label>CPF</mat-label>
                    <input matInput placeholder="000.000.000-00" formControlName="cpf">
                </mat-form-field>
                <mat-form-field appearance="outline" fxFlex="25" >
                    <mat-label>Sexo</mat-label>
                    <input matInput formControlName="sexo">
                </mat-form-field>

                <mat-form-field appearance="outline"  fxFlex="25">
                    <mat-label>Data de nascimento</mat-label> 
                    <input matInput placeholder="nascimento" formControlName="nascimento" />
                </mat-form-field>

          

                <mat-form-field appearance="outline" fxFlex="100" >
                    <mat-label>Nome Completo</mat-label>
                    <input matInput formControlName="nome">
                </mat-form-field>
             

                <mat-form-field appearance="outline" fxFlex="50" >
                    <mat-label>Nome Mãe</mat-label>
                    <input matInput formControlName="nomeMae">
                </mat-form-field>
                <mat-form-field appearance="outline" fxFlex="50" >
                    <mat-label>Nome Pai</mat-label>
                    <input matInput formControlName="nomePai">
                </mat-form-field>
            </form>
            <div class="profile-picture" fxFlex="25" >
                <img mat-card-xl-image src="https://www.focoeducacaoprofissional.com.br/imgs/no-photo-user.png" >
            </div>
        </div> 
    </mat-card>

    <mat-card class="ribbon-box bg-danger" >
        <div fxLayout="row">
            <div class="ribbon ribbon-primary float-start"><h3 class="text-ribbon">VÍNCULOS</h3></div>
            <div class="buttons">
                <button fxLayoutAling="end" mat-raised-button color="primary"
                (click)="enviarDetalhesServidor()">Nomeação</button>
            </div>
        </div>
            <div class="ribbon-content">
                <div *ngIf="vincunlo_array as vinculo else loading">
                    <table
                    mat-table
                    [dataSource]="vinculo"
                    class="mat-elevation-z8"
                    style="width: 100%"
                    >
                    <!-- Posse Column -->
                    <ng-container matColumnDef="posse">
                        <th mat-header-cell *matHeaderCellDef>Data da Posse</th>
                        <td mat-cell *matCellDef="let p">{{ ToDate(p.posse) }}</td>
                    </ng-container>
                
                    <!-- Regime Jurídico Column -->
                    <ng-container matColumnDef="regimeJuridico">
                        <th mat-header-cell *matHeaderCellDef>Regime Jurídico</th>
                        <td mat-cell *matCellDef="let p">{{ p.regimeJuridico }}</td>
                    </ng-container>
                
                    <!-- Tipo Vínculo Column -->
                    <ng-container matColumnDef="tipoVinculo">
                        <th mat-header-cell *matHeaderCellDef>Tipo Vínculo</th>
                        <td mat-cell *matCellDef="let p">{{ p.tipoVinculo }}</td>
                    </ng-container>

                        <!-- Cargo Column -->
                        <ng-container matColumnDef="nivelCargo.cargoUO.cargo.denominacao">
                            <th mat-header-cell *matHeaderCellDef>Cargo</th>
                            <td mat-cell *matCellDef="let p">{{ p.nivelCargo.cargoUO.cargo.denominacao }}</td>
                        </ng-container>

                        <!-- Função Column -->
                        <ng-container matColumnDef="funcao.denominacao">
                            <th mat-header-cell *matHeaderCellDef>Função</th>
                            <td mat-cell *matCellDef="let p">
                                <ng-container *ngIf="p.funcao; else NullValue">
                                    {{ p.funcao.denominacao }}
                                </ng-container>
                            </td>
                        </ng-container>

                        <!-- Situação Column -->
                        <ng-container matColumnDef="situacao">
                            <th mat-header-cell *matHeaderCellDef>Situação</th>
                            <td mat-cell *matCellDef="let p">{{ p.situacao }}</td>
                        </ng-container>

                        <!-- Action Column -->
                        <ng-container matColumnDef="detalhar">
                            <th mat-header-cell *matHeaderCellDef>Detalhar</th>
                            <td mat-cell *matCellDef="let p">
                                <button mat-icon-button color="secondary" aria-label="Detalhar">
                                    <mat-icon>input</mat-icon>
                                </button>
                            </td>
                        </ng-container>

                        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                        <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
                    </table>
            </div>
            <ng-template #loading>
                <h1>Carregando..</h1>
            </ng-template>
            <ng-template #NullValue>
                Não Informado
            </ng-template>
        </div>
    </mat-card>
</div>
